Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUDefaultControlBinding

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCControlBinding
oracle.jbo.uicli.binding.JUControlBinding
oracle.jbo.uicli.binding.JUCtrlValueBinding
oracle.jbo.uicli.binding.JUCtrlAttrsBinding
oracle.jbo.uicli.jui.JUDefaultControlBinding`

All Implemented Interfaces:
  java.awt.event.ActionListener, oracle.adf.model.AttributeBinding, AttributeBinding, ControlBinding, oracle.adf.model.ControlBinding, java.util.EventListener, JUCtrlInputValueHandler, JUCtrlValueHandler, java.util.Map, StructureDef

public class JUDefaultControlBinding
extends JUCtrlAttrsBinding
implements java.awt.event.ActionListener

Implements a generic binding for any Swing control (custom or not) to bind to a BC4J attribute. JClient custom controls like JUImageControl use this binding. Applications that use controls other than the ones for which JClient binding is provided, may use this binding to get BC4J data from the JClient framework and work with it in the control. Using this binding lets the panel, panelBinding, Status Bar, Navigation Bar, etc. be aware of data being displayed/edited in the custom control and update their status/display accordingly.

See Also:
  `JUImageControl`

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`ATTR_ATTRIBUTE, ATTR_ATTRIBUTE_DEF, ATTR_ATTRIBUTE_DEFS, ATTR_ATTRIBUTE_VALUE, ATTR_ATTRIBUTE_VALUES, ATTR_ATTRIBUTES, ATTR_DISPLAY_HEIGHT, ATTR_DISPLAY_HINT, ATTR_DISPLAY_WIDTH, ATTR_FORMAT, ATTR_FORMATS, ATTR_INPUT_VALUE, ATTR_LABEL, ATTR_LABELS, ATTR_LABELSET, ATTR_MANDATORY, ATTR_PATH, ATTR_TOOLTIP, ATTR_UPDATEABLE, ATTR_VIEWABLE, mHasInputVal, mInputVal, SEP_LIST_DISPLAY`

Fields inherited from class oracle.adf.model.binding.DCControlBinding
`ATTR_CURRENTROW, ATTR_DEF, ATTR_ERROR, ATTR_ERRORS, ATTR_FULLNAME, ATTR_ITER, ATTR_NAME, mAttributeListener, mInternalGet_KeyResolved, ROW_KEY_STR`

Constructor Summary
`protected` | `JUDefaultControlBinding()` Default constructor for subclassing.
`` | `JUDefaultControlBinding(JUDefaultControlInterface control, JUIteratorBinding iterBinding, java.lang.String attrName)` This constructor should be used in controls/subclasses to pass the binding information.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Updates the BC4J attribute with the current data value in this binding.
`void` | `addControlToPanel(java.lang.Object panel, java.lang.Object layoutObject, java.lang.Object layoutCons)` *** For internal framework use only ***
`static JUDefaultControlBinding` | `createAttributeBinding(JUFormBinding formBinding, JUDefaultControlInterface control, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String attrName)` Creates an instance of this binding based on the given binding information.
`java.lang.Object` | `getControlModel(java.lang.Object control)` Gets the associated View's model object.
`static JUDefaultControlBinding` | `getInstance(JUFormBinding formBinding, JUDefaultControlInterface control, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String attrName)` Deprecated. since 9.0.2 use createAttributeBinding() instead.
`java.lang.Object` | `getValueAt(int attrIndex)` Returns the data that the bound control is displaying.
`void` | `setDataValueAt(java.lang.Object value, int attrIndex)` This method updates the value this binding holds, as well as updates the BC4J attribute (hence marking the ensuing transaction dirty).
`void` | `setValueAt(java.lang.Object value, int attrIndex)` Updates the data that this binding holds.

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlAttrsBinding
`createAttributeBinding, isControlQueriable, refreshControl, setControlEnabled, toString, updateNavigated, updateRangeScrolled, updateValuesFromRow, updateValuesFromRows`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`compareAndSetAttribute, displayInShortForm, ensureVariableManager, findAttributeDef, getAttribute, getAttribute, getAttribute, getAttributeCount, getAttributeDef, getAttributeDef, getAttributeDefs, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeIndexOf, getAttributeNames, getAttributes, getAttributes, getAttributeUIHelper, getAttributeValidators, getAttributeValidators, getAttributeValue, getAttributeValue, getAttributeValueFromRow, getAttributeValues, getAttributeValues, getControlType, getDisplayHeight, getDisplayHint, getDisplayWidth, getError, getErrors, getFormat, getFormats, getHint, getHint, getInputErrorsForRowKey, getInputValue, getInputValue, getInputValueHandler, getInputValueInRow, getLabel, getLabel, getLabels, getLabelSet, getLocaleContext, getMergedAttributeValues, getNullValueString, getPath, getTooltip, getTooltip, hasFormatInformation, hasVariables, initResources, internalGet, internalGetRow, internalHasPermission, isArrayIteratorType, isAttributeMandatory, isAttributeUpdateable, isAttributeUpdateable, isMandatory, isNewInputValue, isUpdateable, lookupAttributeDef, processInputException, processNewInputValue, put, release, resetInputState, resolvePath, setArrayIteratorType, setAttribute, setAttribute, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeValue, setError, setInputValue, setInputValue, setInputValueHandler, setInputValueInRow, setNullValueString, stopEditing, updateRowDeleted, updateRowInserted, validateInputValue`

Methods inherited from class oracle.jbo.uicli.binding.JUControlBinding
`getCurrentRow, getFormBinding, getIteratorBinding, reportException, setFormBinding`

Methods inherited from class oracle.adf.model.binding.DCControlBinding
`addToDCExceptions, executeQuery, executeQueryIfNeeded, get, getAllRowsInRange, getApplicationModule, getBindingContainer, getControl, getDCIteratorBinding, getDef, getDefFullName, getDefName, getFullName, getLayoutObject, getName, getRowAtRangeIndex, getRowIterator, getTransaction, getViewObject, hashCode, internalHasPermission, internalSetName, needsEstimatedRowCount, removeFromDCExceptions, reportException, resetAttributeExceptionInRow, setBindingContainer, setControl, setListener, setListener, setName`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, internalPut`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.adf.model.AttributeBinding
`getErrors, getInputValue, getLabel, isUpdateable, processNewInputValue, setInputValue, validateInputValue`

Methods inherited from interface oracle.adf.model.ControlBinding
`release, setListener`

Methods inherited from interface oracle.binding.ControlBinding
`getName, getPath, resolvePath, setListener`

Methods inherited from interface oracle.jbo.StructureDef
`getDefFullName, getDefName, getFullName, getName`

Constructor Detail

### JUDefaultControlBinding

    protected JUDefaultControlBinding()

  Default constructor for subclassing.

### JUDefaultControlBinding

    public JUDefaultControlBinding(JUDefaultControlInterface control,
                                   JUIteratorBinding iterBinding,
                                   java.lang.String attrName)

  This constructor should be used in controls/subclasses to pass the binding information.
Parameters:
  `control` - Control which should be bound to an attribute of a BC4J row.
  `iterBinding` - JUIteratorBinding object that contains a reference to the RowSet Iterator that contains Rows to display.
  `attrName` - Name of the attribute in the BC4J Row object to display.

Method Detail

### getControlModel

    public java.lang.Object getControlModel(java.lang.Object control)

  Gets the associated View's model object.

### addControlToPanel

    public void addControlToPanel(java.lang.Object panel,
                                  java.lang.Object layoutObject,
                                  java.lang.Object layoutCons)

  *** For internal framework use only ***
  Overrides:
    `addControlToPanel` in class `JUCtrlAttrsBinding`

### getValueAt

    public java.lang.Object getValueAt(int attrIndex)

  Returns the data that the bound control is displaying. This may be used to compare the existing value in the control to decide if there has been a change in control's data.
  Overrides:
    `getValueAt` in class `JUCtrlAttrsBinding`

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int attrIndex)

  Updates the data that this binding holds. Note that this does not update the BC4J attribute value, but simply updates the data in the binding.
  Overrides:
    `setValueAt` in class `JUCtrlAttrsBinding`

### setDataValueAt

    public void setDataValueAt(java.lang.Object value,
                               int attrIndex)

  This method updates the value this binding holds, as well as updates the BC4J attribute (hence marking the ensuing transaction dirty).
  Overrides:
    `setDataValueAt` in class `JUCtrlAttrsBinding`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Updates the BC4J attribute with the current data value in this binding.
  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### createAttributeBinding

    public static JUDefaultControlBinding createAttributeBinding(JUFormBinding formBinding,
                                                                 JUDefaultControlInterface control,
                                                                 java.lang.String voInstanceName,
                                                                 java.lang.String voIterName,
                                                                 java.lang.String voIterBindingName,
                                                                 java.lang.String attrName)

  Creates an instance of this binding based on the given binding information.
  Parameters:
    `formBinding` - The containing JUPanelBinding in which the given iterator binding would be found/created.
    `control` - The control instance to bind to a ViewObject's attribute.
    `voInstanceName` - Name of the instance of the ViewObject in a BC4J ApplicationModule.
    `voIterName` - Runtime instance name of the iterator in the ViewObject (optional).
    `voIterBindingName` - Instance name of the iterator binding that uniquely identifies an iterator binding object used to read/write data in this given JUPanelBinding instance.
    `attrName` - The name of the attribute of this ViewObject rows that contains data to display/edit in the associated control.

### getInstance

    public static JUDefaultControlBinding getInstance(JUFormBinding formBinding,
                                                      JUDefaultControlInterface control,
                                                      java.lang.String voInstanceName,
                                                      java.lang.String voIterName,
                                                      java.lang.String voIterBindingName,
                                                      java.lang.String attrName)

  Deprecated. since 9.0.2 use createAttributeBinding() instead.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.